--- -----------------------------------------------------------------------------------------------------------
--- AEmotes_JonyC addon by: ZacWolf<zac@zacwolf.com - www.zacwolf.com> 
---						      - ZacWolf-The Thorium Brotherhood
---              	  	 	  - EarthBrother-<EatMorChikin>-The Thorium Brotherhood
---							  - http://www.wowace.com/wiki/AEmotes
---            			  	  - http://eatmorchikin.guildportal.com
---             		      - http://www.zacwolf.com
--- -----------------------------------------------------------------------------------------------------------
--- How to Install
---
--- * Unzip the package into: World of Warcraft\Interface\AddOns\
--- * Your zip software must preserve directory structures.
---
--- For this addon to actually do anything you need to add additional artist mods:
--- These can be found at: http://www.wowace.com/wiki/AEmotes
--- -----------------------------------------------------------------------------------------------------------
--- JonyC is: Jonathan Coulton http://www.jonathancoulton.com/
---         - soundbits used without permission...
--- -----------------------------------------------------------------------------------------------------------
--- **WARNING** 
---  Sound files may contain strong language or depictions of violence, 
---  sex or substance abuse. Parental discretion is advised.
--- -----------------------------------------------------------------------------------------------------------
--- == Commands:== 
--- /ae is interchangable with /aemote or /aemotes
--- /ae jonyc babygotback
--- /ae jonyc creepy
--- /ae jonyc brains
--- /ae jonyc fyi
--- /ae jonyc voices
--- /ae jonyc laface
--- /ae jonyc zombie
--- -----------------------------------------------------------------------------------------------------------
--- == Changes==
--- -----------------------------------------------------------------------------------------------------------
--- == Notes ==
--- * This version is not yet Cross Faction enabled.  
--- This means that only those people that also have the addon 
--- and are in your same faction will hear the audio clip.  
--- Everyone will still the emote text, but it will be garbled 
--- for anyone not of your faction.
--- -----------------------------------------------------------------------------------------------------------
--- == License ==
--- The AEmotes_JonyC mod is released under the GNU General Public License (GPL) 
--- For the full licence text please see gpl-v2.txt
--- Unofficial translations of the GPL can be found here: 
--- [http://www.gnu.org/licenses.../translations.html] 
--- -----------------------------------------------------------------------------------------------------------
local 	aemote_artist						= "jonyc";
local 	addon_path							= "Interface\\AddOns\\AEmotes_JonyC\\";
		table.insert(AEMOTES.artists,aemote_artist);
		AEMOTES[aemote_artist]				= {};
		AEMOTES[aemote_artist].AddonPath	= addon_path;
		AEMOTES[aemote_artist].parms		= {};


--- ==========================================================================
--- This is where all the various track specific variable information is set
--- ==========================================================================

table.insert(AEMOTES[aemote_artist].parms, 
	{ track="laface"; -- Also the name of the MP3 file
	  msgs={ common		= "L.A. face with the Oakland Booty!";
			 alliance	= "";
			 horde		= ""
		   }; 
	  emote="wave"; -- Usual WoW emote, can be anything but best to use the ones with animiations
	  len=6 -- Length in seconds of the sound to play
     }
);
table.insert(AEMOTES[aemote_artist].parms, 
	{ track="babygotback";
	  msgs={ common		= "Baby Got Back!";
			 alliance	= "";
			 horde		= ""
		   };  
	  emote="clap"; 
	  len=21 
    }
);
table.insert(AEMOTES[aemote_artist].parms, 
	{ track="zombie";
	  msgs={ common		= "Everything's ok for me, except that I'm a Zombie now!";
			 alliance	= "";
			 horde		= ""
		   };  
	  emote="sob"; 
	  len=6 
    }
);
table.insert(AEMOTES[aemote_artist].parms, 
	{ track="fyi";
	  msgs={ common		= "Here's an FYI: You're all gonna die, screaming!";
			 alliance	= "";
			 horde		= ""
		   };  
	  emote="gloat"; 
	  len=7 
    }
);
table.insert(AEMOTES[aemote_artist].parms, 
	{ track="brains"; 
	  msgs={ common		= "All we wanna do is eat your brains!";
			 alliance	= "";
			 horde		= ""
		   }; 
	  emote="feast";
	  len=5 
	}
);
table.insert(AEMOTES[aemote_artist].parms, 
	{ track="voices"; 
	  msgs={ common		= "The voices in my head say I shouldn't kill you, yet...";
			 alliance	= "";
			 horde		= ""
		   }; 
	  emote="cackle"; 
	  len=11 
	}
);
table.insert(AEMOTES[aemote_artist].parms, 
	{ track="creepy"; 
	  msgs={ common		= "There's a creepy doll following me!";
			 alliance	= "";
			 horde		= ""
		   }; 
	  emote="dance"; 
	  len=21 
	}
);


